Summary:	Search.php frontend for mnoGoSearch
Name:		mnogosearch-php
Version:	3.2.11
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://mnogosearch.org/
Source0:	http://www.mnogosearch.org/Download/php/%{name}-%{version}.tar.bz2
Source1:	search.php.bz2
Patch0:		%{name}-local_button.patch
Requires:	webserver php-common mod_php php-mnogosearch
Requires:	mnogosearch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mnoGoSearch-php is a PHP frontend for the mnoGoSearch free Web
search engine (formerly known as UdmSearch). It supports most of
all original search.cgi features including cache mode, phrase
search, weight factors, spell daemon, and others. 

%prep

%setup -q -n %{version}
%patch0 -p0

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_var}/www/html/mnogosearch

install -m0644 src/config.inc %{buildroot}%{_var}/www/html/mnogosearch/
install -m0644 src/search.php %{buildroot}%{_var}/www/html/mnogosearch/
install -m0644 src/template.inc %{buildroot}%{_var}/www/html/mnogosearch/
install -m0644 src/init.inc %{buildroot}%{_var}/www/html/mnogosearch/
install -m0644 src/search.htm-dist %{buildroot}%{_var}/www/html/mnogosearch/search.htm
install -m0644 src/common.inc %{buildroot}%{_var}/www/html/mnogosearch/

ln -s search.php %{buildroot}%{_var}/www/html/mnogosearch/index.php

bzcat %{SOURCE1} > %{buildroot}%{_var}/www/html/search.php

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Contacts Readme ChangeLog
%dir %{_var}/www/html/mnogosearch
%config(noreplace) %attr(0644,root,root) %{_var}/www/html/mnogosearch/config.inc
%config(noreplace) %attr(0644,root,root) %{_var}/www/html/mnogosearch/search.htm
%attr(0644,root,root) %{_var}/www/html/mnogosearch/template.inc
%attr(0644,root,root) %{_var}/www/html/mnogosearch/init.inc
%attr(0644,root,root) %{_var}/www/html/mnogosearch/common.inc
%attr(0644,root,root) %{_var}/www/html/mnogosearch/index.php
%attr(0644,root,root) %{_var}/www/html/mnogosearch/search.php
%attr(0644,root,root) %{_var}/www/html/search.php




%changelog
* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.2.11-3mdv2009.0
+ Revision: 252649
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 3.2.11-1mdv2008.1
+ Revision: 136602
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2.11-1mdv2007.0
+ Revision: 131196
- Import mnogosearch-php

* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.11-1mdk
- 3.2.11

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.7-1mdk
- 3.2.7

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.5-1mdk
- 3.2.5
- fix P0
- fix deps

